Index: dlls/quartz/README
===================================================================
RCS file: /home/wine/wine/dlls/quartz/README,v
retrieving revision 1.2
diff -u -r1.2 README
--- dlls/quartz/README	28 Oct 2001 21:16:00 -0000	1.2
+++ dlls/quartz/README	21 Mar 2002 06:39:17 -0000
@@ -14,7 +14,6 @@
   - handle plug-in distributor
   - handle seeking
   - implement some interfaces as plug-ins(???)
-  - implement ICM drivers (yuv converter)
   - implement ACM drivers (g711)
   - implement ACM wrapper (improve xform)
   - implement mciqtz(mci driver for quartz)
Index: dlls/quartz/capgraph.c
===================================================================
RCS file: /home/wine/wine/dlls/quartz/capgraph.c,v
retrieving revision 1.2
diff -u -r1.2 capgraph.c
--- dlls/quartz/capgraph.c	19 Mar 2002 02:15:26 -0000	1.2
+++ dlls/quartz/capgraph.c	21 Mar 2002 06:39:17 -0000
@@ -81,9 +81,9 @@
 {
 	CCaptureGraph_THIS(iface,capgraph1);
 
-	TRACE("(%p)->()\n",This);
+	FIXME("(%p)->()\n",This);
 
-	return ICaptureGraphBuilder2_SetFiltergraph(CCaptureGraph_ICaptureGraphBuilder2(This),pgb);
+	return E_NOTIMPL;
 }
 
 static HRESULT WINAPI
@@ -91,9 +91,9 @@
 {
 	CCaptureGraph_THIS(iface,capgraph1);
 
-	TRACE("(%p)->()\n",This);
+	FIXME("(%p)->()\n",This);
 
-	return ICaptureGraphBuilder2_GetFiltergraph(CCaptureGraph_ICaptureGraphBuilder2(This),ppgb);
+	return E_NOTIMPL;
 }
 
 static HRESULT WINAPI
@@ -141,9 +141,9 @@
 {
 	CCaptureGraph_THIS(iface,capgraph1);
 
-	TRACE("(%p)->()\n",This);
+	FIXME("(%p)->()\n",This);
 
-	return ICaptureGraphBuilder2_AllocCapFile(CCaptureGraph_ICaptureGraphBuilder2(This),pName,llSize);
+	return E_NOTIMPL;
 }
 
 static HRESULT WINAPI
@@ -151,9 +151,9 @@
 {
 	CCaptureGraph_THIS(iface,capgraph1);
 
-	TRACE("(%p)->()\n",This);
+	FIXME("(%p)->()\n",This);
 
-	return ICaptureGraphBuilder2_CopyCaptureFile(CCaptureGraph_ICaptureGraphBuilder2(This),pOrgName,pNewName,fAllowEscAbort,pCallback);
+	return E_NOTIMPL;
 }
 
 static ICOM_VTABLE(ICaptureGraphBuilder) icapgraph1 =
@@ -191,166 +191,6 @@
 
 /***************************************************************************
  *
- *	CCaptureGraph::ICaptureGraphBuilder2
- *
- */
-
-static HRESULT WINAPI
-ICaptureGraphBuilder2_fnQueryInterface(ICaptureGraphBuilder2* iface,REFIID riid,void** ppobj)
-{
-	CCaptureGraph_THIS(iface,capgraph2);
-
-	TRACE("(%p)->()\n",This);
-
-	return IUnknown_QueryInterface(This->unk.punkControl,riid,ppobj);
-}
-
-static ULONG WINAPI
-ICaptureGraphBuilder2_fnAddRef(ICaptureGraphBuilder2* iface)
-{
-	CCaptureGraph_THIS(iface,capgraph2);
-
-	TRACE("(%p)->()\n",This);
-
-	return IUnknown_AddRef(This->unk.punkControl);
-}
-
-static ULONG WINAPI
-ICaptureGraphBuilder2_fnRelease(ICaptureGraphBuilder2* iface)
-{
-	CCaptureGraph_THIS(iface,capgraph2);
-
-	TRACE("(%p)->()\n",This);
-
-	return IUnknown_Release(This->unk.punkControl);
-}
-
-static HRESULT WINAPI
-ICaptureGraphBuilder2_fnSetFiltergraph(ICaptureGraphBuilder2* iface,IGraphBuilder* pgb)
-{
-	CCaptureGraph_THIS(iface,capgraph2);
-
-	FIXME("(%p)->() stub!\n",This);
-
-	return E_NOTIMPL;
-}
-
-static HRESULT WINAPI
-ICaptureGraphBuilder2_fnGetFiltergraph(ICaptureGraphBuilder2* iface,IGraphBuilder** ppgb)
-{
-	CCaptureGraph_THIS(iface,capgraph2);
-
-	FIXME("(%p)->() stub!\n",This);
-
-	return E_NOTIMPL;
-}
-
-static HRESULT WINAPI
-ICaptureGraphBuilder2_fnSetOutputFileName(ICaptureGraphBuilder2* iface,const GUID* pguid,LPCOLESTR pName,IBaseFilter** ppFilter,IFileSinkFilter** ppSink)
-{
-	CCaptureGraph_THIS(iface,capgraph2);
-
-	FIXME("(%p)->() stub!\n",This);
-
-	return E_NOTIMPL;
-}
-
-static HRESULT WINAPI
-ICaptureGraphBuilder2_fnFindInterface(ICaptureGraphBuilder2* iface,const GUID* pguidCat,const GUID* pguidType,IBaseFilter* pFilter,REFIID riid,void** ppvobj)
-{
-	CCaptureGraph_THIS(iface,capgraph2);
-
-	FIXME("(%p)->() stub!\n",This);
-
-	return E_NOTIMPL;
-}
-
-static HRESULT WINAPI
-ICaptureGraphBuilder2_fnRenderStream(ICaptureGraphBuilder2* iface,const GUID* pguidCat,const GUID* pguidType,IUnknown* pSource,IBaseFilter* pCompressor,IBaseFilter* pRenderer)
-{
-	CCaptureGraph_THIS(iface,capgraph2);
-
-	FIXME("(%p)->() stub!\n",This);
-
-	return E_NOTIMPL;
-}
-
-static HRESULT WINAPI
-ICaptureGraphBuilder2_fnControlStream(ICaptureGraphBuilder2* iface,const GUID* pguidCat,const GUID* pguidType,IBaseFilter* pFilter,REFERENCE_TIME* prtStart,REFERENCE_TIME* prtStop,WORD wStartCookie,WORD wStopCookie)
-{
-	CCaptureGraph_THIS(iface,capgraph2);
-
-	FIXME("(%p)->() stub!\n",This);
-
-	return E_NOTIMPL;
-}
-
-static HRESULT WINAPI
-ICaptureGraphBuilder2_fnAllocCapFile(ICaptureGraphBuilder2* iface,LPCOLESTR pName,DWORDLONG llSize)
-{
-	CCaptureGraph_THIS(iface,capgraph2);
-
-	FIXME("(%p)->() stub!\n",This);
-
-	return E_NOTIMPL;
-}
-
-static HRESULT WINAPI
-ICaptureGraphBuilder2_fnCopyCaptureFile(ICaptureGraphBuilder2* iface,LPOLESTR pOrgName,LPOLESTR pNewName,int fAllowEscAbort,IAMCopyCaptureFileProgress* pCallback)
-{
-	CCaptureGraph_THIS(iface,capgraph2);
-
-	FIXME("(%p)->() stub!\n",This);
-
-	return E_NOTIMPL;
-}
-
-static HRESULT WINAPI
-ICaptureGraphBuilder2_fnFindPin(ICaptureGraphBuilder2* iface,IUnknown* pSource,PIN_DIRECTION pindir,const GUID* pguidCat,const GUID* pguidType,BOOL bUnconnected,int num,IPin** ppPin)
-{
-	CCaptureGraph_THIS(iface,capgraph2);
-
-	FIXME("(%p)->() stub!\n",This);
-
-	return E_NOTIMPL;
-}
-
-
-static ICOM_VTABLE(ICaptureGraphBuilder2) icapgraph2 =
-{
-	ICOM_MSVTABLE_COMPAT_DummyRTTIVALUE
-	/* IUnknown fields */
-	ICaptureGraphBuilder2_fnQueryInterface,
-	ICaptureGraphBuilder2_fnAddRef,
-	ICaptureGraphBuilder2_fnRelease,
-	/* ICaptureGraphBuilder2 fields */
-	ICaptureGraphBuilder2_fnSetFiltergraph,
-	ICaptureGraphBuilder2_fnGetFiltergraph,
-	ICaptureGraphBuilder2_fnSetOutputFileName,
-	ICaptureGraphBuilder2_fnFindInterface,
-	ICaptureGraphBuilder2_fnRenderStream,
-	ICaptureGraphBuilder2_fnControlStream,
-	ICaptureGraphBuilder2_fnAllocCapFile,
-	ICaptureGraphBuilder2_fnCopyCaptureFile,
-	ICaptureGraphBuilder2_fnFindPin,
-};
-
-static HRESULT CCaptureGraph_InitICaptureGraphBuilder2( CCaptureGraph* This )
-{
-	TRACE("(%p)\n",This);
-	ICOM_VTBL(&This->capgraph2) = &icapgraph2;
-
-	return NOERROR;
-}
-
-static void CCaptureGraph_UninitICaptureGraphBuilder2( CCaptureGraph* This )
-{
-	TRACE("(%p)\n",This);
-}
-
-
-/***************************************************************************
- *
  *	new/delete for CCaptureGraph
  *
  */
@@ -359,7 +199,6 @@
 static QUARTZ_IFEntry IFEntries[] =
 {
   { &IID_ICaptureGraphBuilder, offsetof(CCaptureGraph,capgraph1)-offsetof(CCaptureGraph,unk) },
-  { &IID_ICaptureGraphBuilder2, offsetof(CCaptureGraph,capgraph2)-offsetof(CCaptureGraph,unk) },
 };
 
 static void QUARTZ_DestroyCaptureGraph(IUnknown* punk)
@@ -369,7 +208,6 @@
 	TRACE( "(%p)\n", This );
 
 	CCaptureGraph_UninitICaptureGraphBuilder(This);
-	CCaptureGraph_UninitICaptureGraphBuilder2(This);
 }
 
 HRESULT QUARTZ_CreateCaptureGraph(IUnknown* punkOuter,void** ppobj)
@@ -387,14 +225,6 @@
 	pcg->m_pfg = NULL;
 
 	hr = CCaptureGraph_InitICaptureGraphBuilder(pcg);
-	if ( SUCCEEDED(hr) )
-	{
-		hr = CCaptureGraph_InitICaptureGraphBuilder2(pcg);
-		if ( FAILED(hr) )
-		{
-			CCaptureGraph_UninitICaptureGraphBuilder(pcg);
-		}
-	}
 
 	if ( FAILED(hr) )
 	{
Index: dlls/quartz/capgraph.h
===================================================================
RCS file: /home/wine/wine/dlls/quartz/capgraph.h,v
retrieving revision 1.2
diff -u -r1.2 capgraph.h
--- dlls/quartz/capgraph.h	19 Mar 2002 02:15:26 -0000	1.2
+++ dlls/quartz/capgraph.h	21 Mar 2002 06:39:17 -0000
@@ -28,26 +28,18 @@
 	ICOM_VFIELD(ICaptureGraphBuilder);
 } CapGraph_ICaptureGraphBuilderImpl;
 
-typedef struct CapGraph_ICaptureGraphBuilder2Impl
-{
-	ICOM_VFIELD(ICaptureGraphBuilder2);
-} CapGraph_ICaptureGraphBuilder2Impl;
-
 typedef struct CCaptureGraph
 {
 	QUARTZ_IUnkImpl	unk;
 	CapGraph_ICaptureGraphBuilderImpl	capgraph1;
-	CapGraph_ICaptureGraphBuilder2Impl	capgraph2;
 
 	/* ICaptureGraphBuilder fields. */
-	/* ICaptureGraphBuilder2 fields. */
 	IGraphBuilder*	m_pfg;
 } CCaptureGraph;
 
 #define	CCaptureGraph_THIS(iface,member)	CCaptureGraph*	This = ((CCaptureGraph*)(((char*)iface)-offsetof(CCaptureGraph,member)))
 
 #define CCaptureGraph_ICaptureGraphBuilder(th)	((ICaptureGraphBuilder*)&((th)->capgraph1))
-#define CCaptureGraph_ICaptureGraphBuilder2(th)	((ICaptureGraphBuilder2*)&((th)->capgraph2))
 
 HRESULT QUARTZ_CreateCaptureGraph(IUnknown* punkOuter,void** ppobj);
 
Index: dlls/quartz/fgevent.c
===================================================================
RCS file: /home/wine/wine/dlls/quartz/fgevent.c,v
retrieving revision 1.4
diff -u -r1.4 fgevent.c
--- dlls/quartz/fgevent.c	9 Mar 2002 23:39:11 -0000	1.4
+++ dlls/quartz/fgevent.c	21 Mar 2002 06:39:17 -0000
@@ -77,8 +77,6 @@
 	/*case EC_SHUTTING_DOWN:*/
 	case EC_CLOCK_CHANGED:
 		break;
-	case EC_PAUSED:
-		break;
 
 	case EC_OPENING_FILE:
 		break;
@@ -108,31 +106,6 @@
 	/*case EC_END_OF_SEGMENT:*/
 	/*case EC_SEGMENT_STARTED:*/
 	case EC_LENGTH_CHANGED:
-		break;
-	case EC_DEVICE_LOST:
-		if ( bKeep )
-		{
-			if ( ((IUnknown*)lParam1) != NULL )
-				IUnknown_AddRef( (IUnknown*)lParam1 );
-		}
-		else
-		{
-			if ( ((IUnknown*)lParam1) != NULL )
-				IUnknown_Release( (IUnknown*)lParam1 );
-		}
-		break;
-
-	case EC_STEP_COMPLETE:
-		break;
-	case EC_SKIP_FRAMES:
-		break;
-
-	/*case EC_TIMECODE_AVAILABLE:*/
-	/*case EC_EXTDEVICE_MODE_CHANGE:*/
-
-	case EC_GRAPH_CHANGED:
-		break;
-	case EC_CLOCK_UNSET:
 		break;
 
 	default:
Index: dlls/quartz/fgpass.c
===================================================================
RCS file: /home/wine/wine/dlls/quartz/fgpass.c,v
retrieving revision 1.6
diff -u -r1.6 fgpass.c
--- dlls/quartz/fgpass.c	19 Mar 2002 02:15:26 -0000	1.6
+++ dlls/quartz/fgpass.c	21 Mar 2002 06:39:19 -0000
@@ -1,5 +1,5 @@
 /*
- * Implementation of IBasicAudio, IBasicVideo2, IVideoWindow for FilterGraph.
+ * Implementation of IBasicAudio, IBasicVideo, IVideoWindow for FilterGraph.
  *
  * Copyright (C) Hidenori TAKESHIMA <hidenori@a2.ctktv.ne.jp>
  *
@@ -73,12 +73,6 @@
 	return CFilterGraph_QIFilters(This,&IID_IBasicVideo,(void**)ppVideo);
 }
 
-static HRESULT CFilterGraph_QueryBasicVideo2(
-	CFilterGraph* This, IBasicVideo2** ppVideo )
-{
-	return CFilterGraph_QIFilters(This,&IID_IBasicVideo2,(void**)ppVideo);
-}
-
 static HRESULT CFilterGraph_QueryVideoWindow(
 	CFilterGraph* This, IVideoWindow** ppVidWin )
 {
@@ -262,7 +256,7 @@
 
 /***************************************************************************
  *
- *	CFilterGraph::IBasicVideo2
+ *	CFilterGraph::IBasicVideo
  *
  */
 
@@ -273,15 +267,9 @@
 	hr = CFilterGraph_QueryBasicVideo( This, &pVideo ); \
 	if ( FAILED(hr) ) return hr;
 
-#define QUERYBASICVIDEO2	\
-	IBasicVideo2* pVideo = NULL; \
-	HRESULT hr; \
-	hr = CFilterGraph_QueryBasicVideo2( This, &pVideo ); \
-	if ( FAILED(hr) ) return hr;
-
 
 static HRESULT WINAPI
-IBasicVideo2_fnQueryInterface(IBasicVideo2* iface,REFIID riid,void** ppobj)
+IBasicVideo_fnQueryInterface(IBasicVideo* iface,REFIID riid,void** ppobj)
 {
 	CFilterGraph_THIS(iface,basvid);
 
@@ -291,7 +279,7 @@
 }
 
 static ULONG WINAPI
-IBasicVideo2_fnAddRef(IBasicVideo2* iface)
+IBasicVideo_fnAddRef(IBasicVideo* iface)
 {
 	CFilterGraph_THIS(iface,basvid);
 
@@ -301,7 +289,7 @@
 }
 
 static ULONG WINAPI
-IBasicVideo2_fnRelease(IBasicVideo2* iface)
+IBasicVideo_fnRelease(IBasicVideo* iface)
 {
 	CFilterGraph_THIS(iface,basvid);
 
@@ -311,7 +299,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnGetTypeInfoCount(IBasicVideo2* iface,UINT* pcTypeInfo)
+IBasicVideo_fnGetTypeInfoCount(IBasicVideo* iface,UINT* pcTypeInfo)
 {
 	CFilterGraph_THIS(iface,basvid);
 
@@ -321,7 +309,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnGetTypeInfo(IBasicVideo2* iface,UINT iTypeInfo, LCID lcid, ITypeInfo** ppobj)
+IBasicVideo_fnGetTypeInfo(IBasicVideo* iface,UINT iTypeInfo, LCID lcid, ITypeInfo** ppobj)
 {
 	CFilterGraph_THIS(iface,basvid);
 
@@ -331,7 +319,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnGetIDsOfNames(IBasicVideo2* iface,REFIID riid, LPOLESTR* ppwszName, UINT cNames, LCID lcid, DISPID* pDispId)
+IBasicVideo_fnGetIDsOfNames(IBasicVideo* iface,REFIID riid, LPOLESTR* ppwszName, UINT cNames, LCID lcid, DISPID* pDispId)
 {
 	CFilterGraph_THIS(iface,basvid);
 
@@ -341,7 +329,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnInvoke(IBasicVideo2* iface,DISPID DispId, REFIID riid, LCID lcid, WORD wFlags, DISPPARAMS* pDispParams, VARIANT* pVarRes, EXCEPINFO* pExcepInfo, UINT* puArgErr)
+IBasicVideo_fnInvoke(IBasicVideo* iface,DISPID DispId, REFIID riid, LCID lcid, WORD wFlags, DISPPARAMS* pDispParams, VARIANT* pVarRes, EXCEPINFO* pExcepInfo, UINT* puArgErr)
 {
 	CFilterGraph_THIS(iface,basvid);
 
@@ -352,7 +340,7 @@
 
 
 static HRESULT WINAPI
-IBasicVideo2_fnget_AvgTimePerFrame(IBasicVideo2* iface,REFTIME* prefTime)
+IBasicVideo_fnget_AvgTimePerFrame(IBasicVideo* iface,REFTIME* prefTime)
 {
 	CFilterGraph_THIS(iface,basvid);
 	QUERYBASICVIDEO
@@ -365,7 +353,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnget_BitRate(IBasicVideo2* iface,long* plRate)
+IBasicVideo_fnget_BitRate(IBasicVideo* iface,long* plRate)
 {
 	CFilterGraph_THIS(iface,basvid);
 	QUERYBASICVIDEO
@@ -378,7 +366,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnget_BitErrorRate(IBasicVideo2* iface,long* plRate)
+IBasicVideo_fnget_BitErrorRate(IBasicVideo* iface,long* plRate)
 {
 	CFilterGraph_THIS(iface,basvid);
 	QUERYBASICVIDEO
@@ -391,7 +379,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnget_VideoWidth(IBasicVideo2* iface,long* plWidth)
+IBasicVideo_fnget_VideoWidth(IBasicVideo* iface,long* plWidth)
 {
 	CFilterGraph_THIS(iface,basvid);
 	QUERYBASICVIDEO
@@ -404,7 +392,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnget_VideoHeight(IBasicVideo2* iface,long* plHeight)
+IBasicVideo_fnget_VideoHeight(IBasicVideo* iface,long* plHeight)
 {
 	CFilterGraph_THIS(iface,basvid);
 	QUERYBASICVIDEO
@@ -417,7 +405,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnput_SourceLeft(IBasicVideo2* iface,long lLeft)
+IBasicVideo_fnput_SourceLeft(IBasicVideo* iface,long lLeft)
 {
 	CFilterGraph_THIS(iface,basvid);
 	QUERYBASICVIDEO
@@ -430,7 +418,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnget_SourceLeft(IBasicVideo2* iface,long* plLeft)
+IBasicVideo_fnget_SourceLeft(IBasicVideo* iface,long* plLeft)
 {
 	CFilterGraph_THIS(iface,basvid);
 	QUERYBASICVIDEO
@@ -443,7 +431,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnput_SourceWidth(IBasicVideo2* iface,long lWidth)
+IBasicVideo_fnput_SourceWidth(IBasicVideo* iface,long lWidth)
 {
 	CFilterGraph_THIS(iface,basvid);
 	QUERYBASICVIDEO
@@ -456,7 +444,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnget_SourceWidth(IBasicVideo2* iface,long* plWidth)
+IBasicVideo_fnget_SourceWidth(IBasicVideo* iface,long* plWidth)
 {
 	CFilterGraph_THIS(iface,basvid);
 	QUERYBASICVIDEO
@@ -469,7 +457,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnput_SourceTop(IBasicVideo2* iface,long lTop)
+IBasicVideo_fnput_SourceTop(IBasicVideo* iface,long lTop)
 {
 	CFilterGraph_THIS(iface,basvid);
 	QUERYBASICVIDEO
@@ -482,7 +470,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnget_SourceTop(IBasicVideo2* iface,long* plTop)
+IBasicVideo_fnget_SourceTop(IBasicVideo* iface,long* plTop)
 {
 	CFilterGraph_THIS(iface,basvid);
 	QUERYBASICVIDEO
@@ -495,7 +483,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnput_SourceHeight(IBasicVideo2* iface,long lHeight)
+IBasicVideo_fnput_SourceHeight(IBasicVideo* iface,long lHeight)
 {
 	CFilterGraph_THIS(iface,basvid);
 	QUERYBASICVIDEO
@@ -508,7 +496,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnget_SourceHeight(IBasicVideo2* iface,long* plHeight)
+IBasicVideo_fnget_SourceHeight(IBasicVideo* iface,long* plHeight)
 {
 	CFilterGraph_THIS(iface,basvid);
 	QUERYBASICVIDEO
@@ -521,7 +509,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnput_DestinationLeft(IBasicVideo2* iface,long lLeft)
+IBasicVideo_fnput_DestinationLeft(IBasicVideo* iface,long lLeft)
 {
 	CFilterGraph_THIS(iface,basvid);
 	QUERYBASICVIDEO
@@ -534,7 +522,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnget_DestinationLeft(IBasicVideo2* iface,long* plLeft)
+IBasicVideo_fnget_DestinationLeft(IBasicVideo* iface,long* plLeft)
 {
 	CFilterGraph_THIS(iface,basvid);
 	QUERYBASICVIDEO
@@ -547,7 +535,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnput_DestinationWidth(IBasicVideo2* iface,long lWidth)
+IBasicVideo_fnput_DestinationWidth(IBasicVideo* iface,long lWidth)
 {
 	CFilterGraph_THIS(iface,basvid);
 	QUERYBASICVIDEO
@@ -560,7 +548,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnget_DestinationWidth(IBasicVideo2* iface,long* plWidth)
+IBasicVideo_fnget_DestinationWidth(IBasicVideo* iface,long* plWidth)
 {
 	CFilterGraph_THIS(iface,basvid);
 	QUERYBASICVIDEO
@@ -573,7 +561,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnput_DestinationTop(IBasicVideo2* iface,long lTop)
+IBasicVideo_fnput_DestinationTop(IBasicVideo* iface,long lTop)
 {
 	CFilterGraph_THIS(iface,basvid);
 	QUERYBASICVIDEO
@@ -586,7 +574,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnget_DestinationTop(IBasicVideo2* iface,long* plTop)
+IBasicVideo_fnget_DestinationTop(IBasicVideo* iface,long* plTop)
 {
 	CFilterGraph_THIS(iface,basvid);
 	QUERYBASICVIDEO
@@ -599,7 +587,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnput_DestinationHeight(IBasicVideo2* iface,long lHeight)
+IBasicVideo_fnput_DestinationHeight(IBasicVideo* iface,long lHeight)
 {
 	CFilterGraph_THIS(iface,basvid);
 	QUERYBASICVIDEO
@@ -612,7 +600,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnget_DestinationHeight(IBasicVideo2* iface,long* plHeight)
+IBasicVideo_fnget_DestinationHeight(IBasicVideo* iface,long* plHeight)
 {
 	CFilterGraph_THIS(iface,basvid);
 	QUERYBASICVIDEO
@@ -625,7 +613,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnSetSourcePosition(IBasicVideo2* iface,long lLeft,long lTop,long lWidth,long lHeight)
+IBasicVideo_fnSetSourcePosition(IBasicVideo* iface,long lLeft,long lTop,long lWidth,long lHeight)
 {
 	CFilterGraph_THIS(iface,basvid);
 	QUERYBASICVIDEO
@@ -638,7 +626,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnGetSourcePosition(IBasicVideo2* iface,long* plLeft,long* plTop,long* plWidth,long* plHeight)
+IBasicVideo_fnGetSourcePosition(IBasicVideo* iface,long* plLeft,long* plTop,long* plWidth,long* plHeight)
 {
 	CFilterGraph_THIS(iface,basvid);
 	QUERYBASICVIDEO
@@ -651,7 +639,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnSetDefaultSourcePosition(IBasicVideo2* iface)
+IBasicVideo_fnSetDefaultSourcePosition(IBasicVideo* iface)
 {
 	CFilterGraph_THIS(iface,basvid);
 	QUERYBASICVIDEO
@@ -664,7 +652,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnSetDestinationPosition(IBasicVideo2* iface,long lLeft,long lTop,long lWidth,long lHeight)
+IBasicVideo_fnSetDestinationPosition(IBasicVideo* iface,long lLeft,long lTop,long lWidth,long lHeight)
 {
 	CFilterGraph_THIS(iface,basvid);
 	QUERYBASICVIDEO
@@ -677,7 +665,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnGetDestinationPosition(IBasicVideo2* iface,long* plLeft,long* plTop,long* plWidth,long* plHeight)
+IBasicVideo_fnGetDestinationPosition(IBasicVideo* iface,long* plLeft,long* plTop,long* plWidth,long* plHeight)
 {
 	CFilterGraph_THIS(iface,basvid);
 	QUERYBASICVIDEO
@@ -690,7 +678,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnSetDefaultDestinationPosition(IBasicVideo2* iface)
+IBasicVideo_fnSetDefaultDestinationPosition(IBasicVideo* iface)
 {
 	CFilterGraph_THIS(iface,basvid);
 	QUERYBASICVIDEO
@@ -703,7 +691,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnGetVideoSize(IBasicVideo2* iface,long* plWidth,long* plHeight)
+IBasicVideo_fnGetVideoSize(IBasicVideo* iface,long* plWidth,long* plHeight)
 {
 	CFilterGraph_THIS(iface,basvid);
 	QUERYBASICVIDEO
@@ -716,7 +704,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnGetVideoPaletteEntries(IBasicVideo2* iface,long lStart,long lCount,long* plRet,long* plPaletteEntry)
+IBasicVideo_fnGetVideoPaletteEntries(IBasicVideo* iface,long lStart,long lCount,long* plRet,long* plPaletteEntry)
 {
 	CFilterGraph_THIS(iface,basvid);
 	QUERYBASICVIDEO
@@ -729,7 +717,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnGetCurrentImage(IBasicVideo2* iface,long* plBufferSize,long* plDIBBuffer)
+IBasicVideo_fnGetCurrentImage(IBasicVideo* iface,long* plBufferSize,long* plDIBBuffer)
 {
 	CFilterGraph_THIS(iface,basvid);
 	QUERYBASICVIDEO
@@ -742,7 +730,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnIsUsingDefaultSource(IBasicVideo2* iface)
+IBasicVideo_fnIsUsingDefaultSource(IBasicVideo* iface)
 {
 	CFilterGraph_THIS(iface,basvid);
 	QUERYBASICVIDEO
@@ -755,7 +743,7 @@
 }
 
 static HRESULT WINAPI
-IBasicVideo2_fnIsUsingDefaultDestination(IBasicVideo2* iface)
+IBasicVideo_fnIsUsingDefaultDestination(IBasicVideo* iface)
 {
 	CFilterGraph_THIS(iface,basvid);
 	QUERYBASICVIDEO
@@ -767,73 +755,57 @@
 	return hr;
 }
 
-static HRESULT WINAPI
-IBasicVideo2_fnGetPreferredAspectRatio(IBasicVideo2* iface,long* plRateX,long* plRateY)
-{
-	CFilterGraph_THIS(iface,basvid);
-	QUERYBASICVIDEO2
-
-	TRACE("(%p)->()\n",This);
-
-	hr = IBasicVideo2_GetPreferredAspectRatio(pVideo,plRateX,plRateY);
-	IBasicVideo2_Release(pVideo);
-	return hr;
-}
-
-
 
 
-static ICOM_VTABLE(IBasicVideo2) ibasicvideo =
+static ICOM_VTABLE(IBasicVideo) ibasicvideo =
 {
 	ICOM_MSVTABLE_COMPAT_DummyRTTIVALUE
 	/* IUnknown fields */
-	IBasicVideo2_fnQueryInterface,
-	IBasicVideo2_fnAddRef,
-	IBasicVideo2_fnRelease,
+	IBasicVideo_fnQueryInterface,
+	IBasicVideo_fnAddRef,
+	IBasicVideo_fnRelease,
 	/* IDispatch fields */
-	IBasicVideo2_fnGetTypeInfoCount,
-	IBasicVideo2_fnGetTypeInfo,
-	IBasicVideo2_fnGetIDsOfNames,
-	IBasicVideo2_fnInvoke,
+	IBasicVideo_fnGetTypeInfoCount,
+	IBasicVideo_fnGetTypeInfo,
+	IBasicVideo_fnGetIDsOfNames,
+	IBasicVideo_fnInvoke,
 	/* IBasicVideo fields */
-	IBasicVideo2_fnget_AvgTimePerFrame,
-	IBasicVideo2_fnget_BitRate,
-	IBasicVideo2_fnget_BitErrorRate,
-	IBasicVideo2_fnget_VideoWidth,
-	IBasicVideo2_fnget_VideoHeight,
-	IBasicVideo2_fnput_SourceLeft,
-	IBasicVideo2_fnget_SourceLeft,
-	IBasicVideo2_fnput_SourceWidth,
-	IBasicVideo2_fnget_SourceWidth,
-	IBasicVideo2_fnput_SourceTop,
-	IBasicVideo2_fnget_SourceTop,
-	IBasicVideo2_fnput_SourceHeight,
-	IBasicVideo2_fnget_SourceHeight,
-	IBasicVideo2_fnput_DestinationLeft,
-	IBasicVideo2_fnget_DestinationLeft,
-	IBasicVideo2_fnput_DestinationWidth,
-	IBasicVideo2_fnget_DestinationWidth,
-	IBasicVideo2_fnput_DestinationTop,
-	IBasicVideo2_fnget_DestinationTop,
-	IBasicVideo2_fnput_DestinationHeight,
-	IBasicVideo2_fnget_DestinationHeight,
-	IBasicVideo2_fnSetSourcePosition,
-	IBasicVideo2_fnGetSourcePosition,
-	IBasicVideo2_fnSetDefaultSourcePosition,
-	IBasicVideo2_fnSetDestinationPosition,
-	IBasicVideo2_fnGetDestinationPosition,
-	IBasicVideo2_fnSetDefaultDestinationPosition,
-	IBasicVideo2_fnGetVideoSize,
-	IBasicVideo2_fnGetVideoPaletteEntries,
-	IBasicVideo2_fnGetCurrentImage,
-	IBasicVideo2_fnIsUsingDefaultSource,
-	IBasicVideo2_fnIsUsingDefaultDestination,
-	/* IBasicVideo2 fields */
-	IBasicVideo2_fnGetPreferredAspectRatio,
+	IBasicVideo_fnget_AvgTimePerFrame,
+	IBasicVideo_fnget_BitRate,
+	IBasicVideo_fnget_BitErrorRate,
+	IBasicVideo_fnget_VideoWidth,
+	IBasicVideo_fnget_VideoHeight,
+	IBasicVideo_fnput_SourceLeft,
+	IBasicVideo_fnget_SourceLeft,
+	IBasicVideo_fnput_SourceWidth,
+	IBasicVideo_fnget_SourceWidth,
+	IBasicVideo_fnput_SourceTop,
+	IBasicVideo_fnget_SourceTop,
+	IBasicVideo_fnput_SourceHeight,
+	IBasicVideo_fnget_SourceHeight,
+	IBasicVideo_fnput_DestinationLeft,
+	IBasicVideo_fnget_DestinationLeft,
+	IBasicVideo_fnput_DestinationWidth,
+	IBasicVideo_fnget_DestinationWidth,
+	IBasicVideo_fnput_DestinationTop,
+	IBasicVideo_fnget_DestinationTop,
+	IBasicVideo_fnput_DestinationHeight,
+	IBasicVideo_fnget_DestinationHeight,
+	IBasicVideo_fnSetSourcePosition,
+	IBasicVideo_fnGetSourcePosition,
+	IBasicVideo_fnSetDefaultSourcePosition,
+	IBasicVideo_fnSetDestinationPosition,
+	IBasicVideo_fnGetDestinationPosition,
+	IBasicVideo_fnSetDefaultDestinationPosition,
+	IBasicVideo_fnGetVideoSize,
+	IBasicVideo_fnGetVideoPaletteEntries,
+	IBasicVideo_fnGetCurrentImage,
+	IBasicVideo_fnIsUsingDefaultSource,
+	IBasicVideo_fnIsUsingDefaultDestination,
 };
 
 
-HRESULT CFilterGraph_InitIBasicVideo2( CFilterGraph* pfg )
+HRESULT CFilterGraph_InitIBasicVideo( CFilterGraph* pfg )
 {
 	TRACE("(%p)\n",pfg);
 	ICOM_VTBL(&pfg->basvid) = &ibasicvideo;
@@ -841,12 +813,11 @@
 	return NOERROR;
 }
 
-void CFilterGraph_UninitIBasicVideo2( CFilterGraph* pfg )
+void CFilterGraph_UninitIBasicVideo( CFilterGraph* pfg )
 {
 	TRACE("(%p)\n",pfg);
 }
 
-#undef QUERYBASICVIDEO2
 #undef QUERYBASICVIDEO
 
 /***************************************************************************
Index: dlls/quartz/fgraph.c
===================================================================
RCS file: /home/wine/wine/dlls/quartz/fgraph.c,v
retrieving revision 1.10
diff -u -r1.10 fgraph.c
--- dlls/quartz/fgraph.c	19 Mar 2002 02:15:26 -0000	1.10
+++ dlls/quartz/fgraph.c	21 Mar 2002 06:39:19 -0000
@@ -50,7 +50,6 @@
   { &IID_IGraphBuilder, offsetof(CFilterGraph,fgraph)-offsetof(CFilterGraph,unk) },
   { &IID_IFilterGraph2, offsetof(CFilterGraph,fgraph)-offsetof(CFilterGraph,unk) },
   { &IID_IGraphVersion, offsetof(CFilterGraph,graphversion)-offsetof(CFilterGraph,unk) },
-  { &IID_IGraphConfig, offsetof(CFilterGraph,grphconf)-offsetof(CFilterGraph,unk) },
   { &IID_IMediaControl, offsetof(CFilterGraph,mediacontrol)-offsetof(CFilterGraph,unk) },
   { &IID_IMediaFilter, offsetof(CFilterGraph,mediafilter)-offsetof(CFilterGraph,unk) },
   { &IID_IMediaEvent, offsetof(CFilterGraph,mediaevent)-offsetof(CFilterGraph,unk) },
@@ -59,10 +58,8 @@
   { &IID_IMediaPosition, offsetof(CFilterGraph,mediaposition)-offsetof(CFilterGraph,unk) },
   { &IID_IMediaSeeking, offsetof(CFilterGraph,mediaseeking)-offsetof(CFilterGraph,unk) },
   { &IID_IBasicVideo, offsetof(CFilterGraph,basvid)-offsetof(CFilterGraph,unk) },
-  { &IID_IBasicVideo2, offsetof(CFilterGraph,basvid)-offsetof(CFilterGraph,unk) },
   { &IID_IBasicAudio, offsetof(CFilterGraph,basaud)-offsetof(CFilterGraph,unk) },
   { &IID_IVideoWindow, offsetof(CFilterGraph,vidwin)-offsetof(CFilterGraph,unk) },
-  { &IID_IAMStats, offsetof(CFilterGraph,amstats)-offsetof(CFilterGraph,unk) },
 };
 
 
@@ -80,17 +77,15 @@
 	FGENT(IDispatch)
 	FGENT(IFilterGraph2)
 	FGENT(IGraphVersion)
-	FGENT(IGraphConfig)
 	FGENT(IMediaControl)
 	FGENT(IMediaFilter)
 	FGENT(IMediaEventEx)
 	FGENT(IMediaEventSink)
 	FGENT(IMediaPosition)
 	FGENT(IMediaSeeking)
-	FGENT(IBasicVideo2)
+	FGENT(IBasicVideo)
 	FGENT(IBasicAudio)
 	FGENT(IVideoWindow)
-	FGENT(IAMStats)
 
 	#undef	FGENT
 	{ NULL, NULL },
@@ -338,176 +333,6 @@
 }
 
 void CFilterGraph_UninitIDispatch( CFilterGraph* pfg )
-{
-	TRACE("(%p)\n",pfg);
-}
-
-/***************************************************************************
- *
- *	CFilterGraph::IAMStats
- *
- */
-
-static HRESULT WINAPI
-IAMStats_fnQueryInterface(IAMStats* iface,REFIID riid,void** ppobj)
-{
-	CFilterGraph_THIS(iface,amstats);
-
-	TRACE("(%p)->()\n",This);
-
-	return IUnknown_QueryInterface(This->unk.punkControl,riid,ppobj);
-}
-
-static ULONG WINAPI
-IAMStats_fnAddRef(IAMStats* iface)
-{
-	CFilterGraph_THIS(iface,amstats);
-
-	TRACE("(%p)->()\n",This);
-
-	return IUnknown_AddRef(This->unk.punkControl);
-}
-
-static ULONG WINAPI
-IAMStats_fnRelease(IAMStats* iface)
-{
-	CFilterGraph_THIS(iface,amstats);
-
-	TRACE("(%p)->()\n",This);
-
-	return IUnknown_Release(This->unk.punkControl);
-}
-
-static HRESULT WINAPI
-IAMStats_fnGetTypeInfoCount(IAMStats* iface,UINT* pcTypeInfo)
-{
-	CFilterGraph_THIS(iface,amstats);
-
-	FIXME("(%p)->()\n",This);
-
-	return E_NOTIMPL;
-}
-
-static HRESULT WINAPI
-IAMStats_fnGetTypeInfo(IAMStats* iface,UINT iTypeInfo, LCID lcid, ITypeInfo** ppobj)
-{
-	CFilterGraph_THIS(iface,amstats);
-
-	FIXME("(%p)->()\n",This);
-
-	return E_NOTIMPL;
-}
-
-static HRESULT WINAPI
-IAMStats_fnGetIDsOfNames(IAMStats* iface,REFIID riid, LPOLESTR* ppwszName, UINT cNames, LCID lcid, DISPID* pDispId)
-{
-	CFilterGraph_THIS(iface,amstats);
-
-	FIXME("(%p)->()\n",This);
-
-	return E_NOTIMPL;
-}
-
-static HRESULT WINAPI
-IAMStats_fnInvoke(IAMStats* iface,DISPID DispId, REFIID riid, LCID lcid, WORD wFlags, DISPPARAMS* pDispParams, VARIANT* pVarRes, EXCEPINFO* pExcepInfo, UINT* puArgErr)
-{
-	CFilterGraph_THIS(iface,amstats);
-
-	FIXME("(%p)->()\n",This);
-
-	return E_NOTIMPL;
-}
-
-static HRESULT WINAPI
-IAMStats_fnReset(IAMStats* iface)
-{
-	CFilterGraph_THIS(iface,amstats);
-
-	FIXME("(%p) stub\n",This);
-	return E_NOTIMPL;
-}
-
-static HRESULT WINAPI
-IAMStats_fnget_Count(IAMStats* iface,long* plCount)
-{
-	CFilterGraph_THIS(iface,amstats);
-
-	FIXME("(%p,%p) stub\n",This,plCount);
-
-	if ( plCount == NULL )
-		return E_POINTER;
-	*plCount = 0;
-
-	return E_NOTIMPL;
-}
-
-static HRESULT WINAPI
-IAMStats_fnGetValueByIndex(IAMStats* iface,long lIndex,BSTR* pbstrName,long* lCount,double* pdblLast,double* pdblAverage,double* pdblStdDev,double* pdblMin,double* pdblMax)
-{
-	CFilterGraph_THIS(iface,amstats);
-
-	FIXME("(%p) stub\n",This);
-	return E_NOTIMPL;
-}
-
-static HRESULT WINAPI
-IAMStats_fnGetValueByName(IAMStats* iface,BSTR bstrName,long* plIndex,long* plCount,double* pdblLast,double* pdblAverage,double* pdblStdDev,double* pdblMin,double* pdblMax)
-{
-	CFilterGraph_THIS(iface,amstats);
-
-	FIXME("(%p) stub\n",This);
-	return E_NOTIMPL;
-}
-
-static HRESULT WINAPI
-IAMStats_fnGetIndex(IAMStats* iface,BSTR bstrName,long lCreate,long* plIndex)
-{
-	CFilterGraph_THIS(iface,amstats);
-
-	FIXME("(%p) stub\n",This);
-	return E_NOTIMPL;
-}
-
-static HRESULT WINAPI
-IAMStats_fnAddValue(IAMStats* iface,long lIndex,double dValue)
-{
-	CFilterGraph_THIS(iface,amstats);
-
-	FIXME("(%p) stub\n",This);
-	return E_NOTIMPL;
-}
-
-
-static ICOM_VTABLE(IAMStats) iamstats =
-{
-	ICOM_MSVTABLE_COMPAT_DummyRTTIVALUE
-	/* IUnknown fields */
-	IAMStats_fnQueryInterface,
-	IAMStats_fnAddRef,
-	IAMStats_fnRelease,
-	/* IDispatch fields */
-	IAMStats_fnGetTypeInfoCount,
-	IAMStats_fnGetTypeInfo,
-	IAMStats_fnGetIDsOfNames,
-	IAMStats_fnInvoke,
-	/* IAMStats fields */
-	IAMStats_fnReset,
-	IAMStats_fnget_Count,
-	IAMStats_fnGetValueByIndex,
-	IAMStats_fnGetValueByName,
-	IAMStats_fnGetIndex,
-	IAMStats_fnAddValue,
-};
-
-HRESULT CFilterGraph_InitIAMStats( CFilterGraph* pfg )
-{
-	TRACE("(%p)\n",pfg);
-	ICOM_VTBL(&pfg->amstats) = &iamstats;
-
-	return NOERROR;
-}
-
-void CFilterGraph_UninitIAMStats( CFilterGraph* pfg )
 {
 	TRACE("(%p)\n",pfg);
 }
